/*==================================================================
 *      File :          tests.h
 *      Package:        Xmeasure
 * 
 *      Author :        Aloke Gupta.
 *
 *  (C) Copyright 1992, Aloke Gupta.
 *  All rights granted to University of Illinois Board of Regents.
 *==================================================================*/

#ifndef _TESTS_H_
#define _TESTS_H_

extern int   CreateWindow()         ;
extern int i_CreateWindow()         ;
extern int c_CreateWindow()         ;
extern int   ChangeWindowAttributes();
extern int i_ChangeWindowAttributes();
extern int c_ChangeWindowAttributes();
extern int   GetWindowAttributes()  ;
extern int i_GetWindowAttributes()  ;
extern int c_GetWindowAttributes()  ;
extern int   DestroyWindow()        ;
extern int i_DestroyWindow()        ;
extern int c_DestroyWindow()        ;
extern int   DestroySubwindows()    ;
extern int i_DestroySubwindows()    ;
extern int c_DestroySubwindows()    ;
extern int   ChangeSaveSet()        ;
extern int i_ChangeSaveSet()        ;
extern int c_ChangeSaveSet()        ;
extern int   ReparentWindow()       ;
extern int i_ReparentWindow()       ;
extern int c_ReparentWindow()       ;
extern int   MapWindow()            ;
extern int i_MapWindow()            ;
extern int c_MapWindow()            ;
extern int   MapSubwindows()        ;
extern int i_MapSubwindows()        ;
extern int c_MapSubwindows()        ;
extern int   UnmapWindow()          ;
extern int i_UnmapWindow()          ;
extern int c_UnmapWindow()          ;
extern int   UnmapSubwindows()      ;
extern int i_UnmapSubwindows()      ;
extern int c_UnmapSubwindows()      ;
extern int   ConfigureWindow()      ;
extern int i_ConfigureWindow()      ;
extern int c_ConfigureWindow()      ;
extern int   CirculateWindow()      ;
extern int i_CirculateWindow()      ;
extern int c_CirculateWindow()      ;
extern int   GetGeometry()          ;
extern int i_GetGeometry()          ;
extern int c_GetGeometry()          ;
extern int   QueryTree()            ;
extern int i_QueryTree()            ;
extern int c_QueryTree()            ;
extern int   InternAtom()           ;
extern int i_InternAtom()           ;
extern int c_InternAtom()           ;
extern int   GetAtomName()          ;
extern int i_GetAtomName()          ;
extern int c_GetAtomName()          ;
extern int   ChangeProperty()       ;
extern int i_ChangeProperty()       ;
extern int c_ChangeProperty()       ;
extern int   DeleteProperty()       ;
extern int i_DeleteProperty()       ;
extern int c_DeleteProperty()       ;
extern int   GetProperty()          ;
extern int i_GetProperty()          ;
extern int c_GetProperty()          ;
extern int   ListProperties()       ;
extern int i_ListProperties()       ;
extern int c_ListProperties()       ;
extern int   SetSelectionOwner()    ;
extern int i_SetSelectionOwner()    ;
extern int c_SetSelectionOwner()    ;
extern int   GetSelectionOwner()    ;
extern int i_GetSelectionOwner()    ;
extern int c_GetSelectionOwner()    ;
extern int   ConvertSelection()     ;
extern int i_ConvertSelection()     ;
extern int c_ConvertSelection()     ;
extern int   SendEvent()            ;
extern int i_SendEvent()            ;
extern int c_SendEvent()            ;
extern int   GrabPointer()          ;
extern int i_GrabPointer()          ;
extern int c_GrabPointer()          ;
extern int   UngrabPointer()        ;
extern int i_UngrabPointer()        ;
extern int c_UngrabPointer()        ;
extern int   GrabButton()           ;
extern int i_GrabButton()           ;
extern int c_GrabButton()           ;
extern int   UngrabButton()         ;
extern int i_UngrabButton()         ;
extern int c_UngrabButton()         ;
extern int   ChangeActivePointerGrab();
extern int i_ChangeActivePointerGrab();
extern int c_ChangeActivePointerGrab();
extern int   GrabKeyboard()         ;
extern int i_GrabKeyboard()         ;
extern int c_GrabKeyboard()         ;
extern int   UngrabKeyboard()       ;
extern int i_UngrabKeyboard()       ;
extern int c_UngrabKeyboard()       ;
extern int   GrabKey()              ;
extern int i_GrabKey()              ;
extern int c_GrabKey()              ;
extern int   UngrabKey()            ;
extern int i_UngrabKey()            ;
extern int c_UngrabKey()            ;
extern int   AllowEvents()          ;
extern int i_AllowEvents()          ;
extern int c_AllowEvents()          ;
extern int   GrabServer()           ;
extern int i_GrabServer()           ;
extern int c_GrabServer()           ;
extern int   UngrabServer()         ;
extern int i_UngrabServer()         ;
extern int c_UngrabServer()         ;
extern int   QueryPointer()         ;
extern int i_QueryPointer()         ;
extern int c_QueryPointer()         ;
extern int   GetMotionEvents()      ;
extern int i_GetMotionEvents()      ;
extern int c_GetMotionEvents()      ;
extern int   TranslateCoordinates() ;
extern int i_TranslateCoordinates() ;
extern int c_TranslateCoordinates() ;
extern int   WarpPointer()          ;
extern int i_WarpPointer()          ;
extern int c_WarpPointer()          ;
extern int   SetInputFocus()        ;
extern int i_SetInputFocus()        ;
extern int c_SetInputFocus()        ;
extern int   GetInputFocus()        ;
extern int i_GetInputFocus()        ;
extern int c_GetInputFocus()        ;
extern int   QueryKeymap()          ;
extern int i_QueryKeymap()          ;
extern int c_QueryKeymap()          ;
extern int   OpenFont()             ;
extern int i_OpenFont()             ;
extern int c_OpenFont()             ;
extern int   CloseFont()            ;
extern int i_CloseFont()            ;
extern int c_CloseFont()            ;
extern int   QueryFont()            ;
extern int i_QueryFont()            ;
extern int c_QueryFont()            ;
extern int   QueryTextExtents()     ;
extern int i_QueryTextExtents()     ;
extern int c_QueryTextExtents()     ;
extern int   ListFonts()            ;
extern int i_ListFonts()            ;
extern int c_ListFonts()            ;
extern int   ListFontsWithInfo()    ;
extern int i_ListFontsWithInfo()    ;
extern int c_ListFontsWithInfo()    ;
extern int   SetFontPath()          ;
extern int i_SetFontPath()          ;
extern int c_SetFontPath()          ;
extern int   GetFontPath()          ;
extern int i_GetFontPath()          ;
extern int c_GetFontPath()          ;
extern int   CreatePixmap()         ;
extern int i_CreatePixmap()         ;
extern int c_CreatePixmap()         ;
extern int   FreePixmap()           ;
extern int i_FreePixmap()           ;
extern int c_FreePixmap()           ;
extern int   CreateGC()             ;
extern int i_CreateGC()             ;
extern int c_CreateGC()             ;
extern int   ChangeGC()             ;
extern int i_ChangeGC()             ;
extern int c_ChangeGC()             ;
extern int   CopyGC()               ;
extern int i_CopyGC()               ;
extern int c_CopyGC()               ;
extern int   SetDashes()            ;
extern int i_SetDashes()            ;
extern int c_SetDashes()            ;
extern int   SetClipRectangles()    ;
extern int i_SetClipRectangles()    ;
extern int c_SetClipRectangles()    ;
extern int   FreeGC()               ;
extern int i_FreeGC()               ;
extern int c_FreeGC()               ;
extern int   ClearArea()            ;
extern int i_ClearArea()            ;
extern int c_ClearArea()            ;
extern int   CopyArea()             ;
extern int i_CopyArea()             ;
extern int c_CopyArea()             ;
extern int   CopyPlane()            ;
extern int i_CopyPlane()            ;
extern int c_CopyPlane()            ;
extern int   PolyPoint()            ;
extern int i_PolyPoint()            ;
extern int c_PolyPoint()            ;
extern int   PolyLine()             ;
extern int i_PolyLine()             ;
extern int c_PolyLine()             ;
extern int   PolySegment()          ;
extern int i_PolySegment()          ;
extern int c_PolySegment()          ;
extern int   PolyRectangle()        ;
extern int i_PolyRectangle()        ;
extern int c_PolyRectangle()        ;
extern int   PolyArc()              ;
extern int i_PolyArc()              ;
extern int c_PolyArc()              ;
extern int   FillPoly()             ;
extern int i_FillPoly()             ;
extern int c_FillPoly()             ;
extern int   PolyFillRectangle()    ;
extern int i_PolyFillRectangle()    ;
extern int c_PolyFillRectangle()    ;
extern int   PolyFillArc()          ;
extern int i_PolyFillArc()          ;
extern int c_PolyFillArc()          ;
extern int   PutImage()             ;
extern int i_PutImage()             ;
extern int c_PutImage()             ;
extern int   GetImage()             ;
extern int i_GetImage()             ;
extern int c_GetImage()             ;
extern int   PolyText8()            ;
extern int i_PolyText8()            ;
extern int c_PolyText8()            ;
extern int   PolyText16()           ;
extern int i_PolyText16()           ;
extern int c_PolyText16()           ;
extern int   ImageText8()           ;
extern int i_ImageText8()           ;
extern int c_ImageText8()           ;
extern int   ImageText16()          ;
extern int i_ImageText16()          ;
extern int c_ImageText16()          ;
extern int   CreateColormap()       ;
extern int i_CreateColormap()       ;
extern int c_CreateColormap()       ;
extern int   FreeColormap()         ;
extern int i_FreeColormap()         ;
extern int c_FreeColormap()         ;
extern int   CopyColormapAndFree()  ;
extern int i_CopyColormapAndFree()  ;
extern int c_CopyColormapAndFree()  ;
extern int   InstallColormap()      ;
extern int i_InstallColormap()      ;
extern int c_InstallColormap()      ;
extern int   UninstallColormap()    ;
extern int i_UninstallColormap()    ;
extern int c_UninstallColormap()    ;
extern int   ListInstalledColormaps();
extern int i_ListInstalledColormaps();
extern int c_ListInstalledColormaps();
extern int   AllocColor()           ;
extern int i_AllocColor()           ;
extern int c_AllocColor()           ;
extern int   AllocNamedColor()      ;
extern int i_AllocNamedColor()      ;
extern int c_AllocNamedColor()      ;
extern int   AllocColorCells()      ;
extern int i_AllocColorCells()      ;
extern int c_AllocColorCells()      ;
extern int   AllocColorPlanes()     ;
extern int i_AllocColorPlanes()     ;
extern int c_AllocColorPlanes()     ;
extern int   FreeColors()           ;
extern int i_FreeColors()           ;
extern int c_FreeColors()           ;
extern int   StoreColors()          ;
extern int i_StoreColors()          ;
extern int c_StoreColors()          ;
extern int   StoreNamedColor()      ;
extern int i_StoreNamedColor()      ;
extern int c_StoreNamedColor()      ;
extern int   QueryColors()          ;
extern int i_QueryColors()          ;
extern int c_QueryColors()          ;
extern int   LookupColor()          ;
extern int i_LookupColor()          ;
extern int c_LookupColor()          ;
extern int   CreateCursor()         ;
extern int i_CreateCursor()         ;
extern int c_CreateCursor()         ;
extern int   CreateGlyphCursor()    ;
extern int i_CreateGlyphCursor()    ;
extern int c_CreateGlyphCursor()    ;
extern int   FreeCursor()           ;
extern int i_FreeCursor()           ;
extern int c_FreeCursor()           ;
extern int   RecolorCursor()        ;
extern int i_RecolorCursor()        ;
extern int c_RecolorCursor()        ;
extern int   QueryBestSize()        ;
extern int i_QueryBestSize()        ;
extern int c_QueryBestSize()        ;
extern int   QueryExtension()       ;
extern int i_QueryExtension()       ;
extern int c_QueryExtension()       ;
extern int   ListExtensions()       ;
extern int i_ListExtensions()       ;
extern int c_ListExtensions()       ;
extern int   ChangeKeyboardMapping();
extern int i_ChangeKeyboardMapping();
extern int c_ChangeKeyboardMapping();
extern int   GetKeyboardMapping()   ;
extern int i_GetKeyboardMapping()   ;
extern int c_GetKeyboardMapping()   ;
extern int   ChangeKeyboardControl();
extern int i_ChangeKeyboardControl();
extern int c_ChangeKeyboardControl();
extern int   GetKeyboardControl()   ;
extern int i_GetKeyboardControl()   ;
extern int c_GetKeyboardControl()   ;
extern int   Bell()                 ;
extern int i_Bell()                 ;
extern int c_Bell()                 ;
extern int   ChangePointerControl() ;
extern int i_ChangePointerControl() ;
extern int c_ChangePointerControl() ;
extern int   GetPointerControl()    ;
extern int i_GetPointerControl()    ;
extern int c_GetPointerControl()    ;
extern int   SetScreenSaver()       ;
extern int i_SetScreenSaver()       ;
extern int c_SetScreenSaver()       ;
extern int   GetScreenSaver()       ;
extern int i_GetScreenSaver()       ;
extern int c_GetScreenSaver()       ;
extern int   ChangeHosts()          ;
extern int i_ChangeHosts()          ;
extern int c_ChangeHosts()          ;
extern int   ListHosts()            ;
extern int i_ListHosts()            ;
extern int c_ListHosts()            ;
extern int   SetAccessControl()     ;
extern int i_SetAccessControl()     ;
extern int c_SetAccessControl()     ;
extern int   SetCloseDownMode()     ;
extern int i_SetCloseDownMode()     ;
extern int c_SetCloseDownMode()     ;
extern int   KillClient()           ;
extern int i_KillClient()           ;
extern int c_KillClient()           ;
extern int   RotateProperties()     ;
extern int i_RotateProperties()     ;
extern int c_RotateProperties()     ;
extern int   ForceScreenSaver()     ;
extern int i_ForceScreenSaver()     ;
extern int c_ForceScreenSaver()     ;
extern int   SetPointerMapping()    ;
extern int i_SetPointerMapping()    ;
extern int c_SetPointerMapping()    ;
extern int   GetPointerMapping()    ;
extern int i_GetPointerMapping()    ;
extern int c_GetPointerMapping()    ;
extern int   SetModifierMapping()   ;
extern int i_SetModifierMapping()   ;
extern int c_SetModifierMapping()   ;
extern int   GetModifierMapping()   ;
extern int i_GetModifierMapping()   ;
extern int c_GetModifierMapping()   ;
extern int   NoOperation()          ;
extern int i_NoOperation()          ;
extern int c_NoOperation()          ;

#endif /* #ifndef _TESTS_H_ */
